Holger's Java API

## com.antelmann
Class Debug.FileExceptionHandler

    java.lang.Object
      com.antelmann.Debug.FileExceptionHandler

All Implemented Interfaces:
  Thread.UncaughtExceptionHandler

Enclosing class:
  Debug

    public static class Debug.FileExceptionHandler

extends Object
implements Thread.UncaughtExceptionHandler

can be used to conveniently write all exceptions to a file.

See Also:
  `Thread.setDefaultUncaughtExceptionHandler(Thread.UncaughtExceptionHandler)`, `Thread.setUncaughtExceptionHandler(Thread.UncaughtExceptionHandler)`

Constructor Summary
`Debug.FileExceptionHandler(File file)`
`Debug.FileExceptionHandler(File file, boolean showDialog)`

Method Summary
`void` `uncaughtException(Thread t, Throwable e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Debug.FileExceptionHandler

    public Debug.FileExceptionHandler(File file)

### Debug.FileExceptionHandler

    public Debug.FileExceptionHandler(File file,
                                      boolean showDialog)

Method Detail

### uncaughtException

    public void uncaughtException(Thread t,
                                  Throwable e)

  Specified by:
    `uncaughtException` in interface `Thread.UncaughtExceptionHandler`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads